> ## Documentation Index
> Fetch the complete documentation index at: https://docs.platform.statista.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Data

Retrieve chart data for a specific Statistic.


## OpenAPI

````yaml GET /v1/data/statistic
openapi: 3.0.0
info:
  title: The Statista Data API
  contact:
    name: API Support
    email: api@statista.com
  version: 2.8.0
  description: >-
    The Statista Data API provides access to statistical data, market-insights
    data and reports
servers:
  - url: https://api.statista.ai/
    description: Single Server endpoint
    variables: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /v1/data/statistic:
    get:
      operationId: statistic
      parameters:
        - name: id
          in: query
          required: true
          description: The unique identifier of a content information to be retrieved.
          schema:
            $ref: '#/components/schemas/Type.Id'
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Api.Data.Response.Statistic'
        '400':
          description: The server could not understand the request due to invalid syntax.
        '401':
          description: Access is unauthorized.
        '403':
          description: Access is forbidden.
        '404':
          description: The server cannot find the requested resource.
components:
  schemas:
    Type.Id:
      type: integer
      format: uint64
    Api.Data.Response.Statistic:
      type: object
      required:
        - teaser_image_urls
        - identifier
        - title
        - link
        - date
        - platform
        - subject
        - is_premium
        - chart
      properties:
        teaser_image_urls:
          type: array
          items:
            $ref: '#/components/schemas/Api.Response.TeaserImage'
          description: A list of preview images for this content.
        identifier:
          allOf:
            - $ref: '#/components/schemas/Type.Id'
          description: >-
            A unique number for this content. It helps find or refer to this
            data.
        title:
          type: string
          description: The name of the content. It tells what the data is about.
        description:
          type: string
          description: >-
            Optional: A short text that explains the most important facts in the
            data. Available for Advanced API key
        link:
          type: string
          description: >-
            The website address (URL) where you can see the full content on the
            Statista platform.
        date:
          type: string
          format: date-time
          description: 'The date when the data was published. Format: YYYY-MM-DDTHH:mm:ssZ'
        platform:
          allOf:
            - $ref: '#/components/schemas/Type.LanguageLocale'
          description: The language of the page or platform.
        subject:
          type: string
          description: A short summary of what the data shows.
        is_premium:
          type: boolean
          description: A true/false value. Indicates on paid and free content.
        industries:
          type: array
          items:
            $ref: '#/components/schemas/Api.Response.Industry'
          description: 'Optional: A list of industries related to the data.'
        geolocations:
          type: array
          items:
            $ref: '#/components/schemas/Api.Response.Region'
          description: 'Optional: A list of regions related to the data.'
        sources:
          type: array
          items:
            $ref: '#/components/schemas/Api.Data.Response.Source'
        chargers:
          type: array
          items:
            $ref: '#/components/schemas/Api.Data.Response.Source'
        publishers:
          type: array
          items:
            $ref: '#/components/schemas/Api.Data.Response.Source'
        chart:
          $ref: '#/components/schemas/Api.Data.Response.Chart'
    Api.Response.TeaserImage:
      type: object
      required:
        - width
        - src
      properties:
        width:
          type: integer
          format: uint32
          description: The width of the image in pixels.
        src:
          type: string
          description: The image link (URL).
    Type.LanguageLocale:
      type: string
      enum:
        - de
        - en
        - fr
        - es
    Api.Response.Industry:
      type: object
      required:
        - name
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/Type.IndustryId'
          description: The unique identifier for the industry.
        name:
          type: string
          description: The name of the industry.
    Api.Response.Region:
      type: object
      required:
        - name
        - code
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/Type.RegionId'
          description: 'Optional: The unique identifier for the region.'
        name:
          type: string
          description: 'Optional: The name of the region.'
        code:
          type: string
          description: The code of the region.
    Api.Data.Response.Source:
      type: object
      required:
        - title
        - subtitle
      properties:
        title:
          type: string
        subtitle:
          type: string
    Api.Data.Response.Chart:
      type: object
      required:
        - graphType
        - horizontal
        - data
      properties:
        unit:
          type: string
        graphType:
          $ref: '#/components/schemas/Api.Data.Response.GraphType'
        description:
          type: string
        horizontal:
          type: boolean
        data:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/Api.Data.Response.DataPoint'
    Type.IndustryId:
      type: integer
      format: uint16
    Type.RegionId:
      type: integer
      format: uint16
    Api.Data.Response.GraphType:
      type: string
      enum:
        - annotations
        - bar
        - stacked-areas
        - stacked-bars
        - dual-y-axes
        - line-standard
        - line-zoomable
        - pie
        - table
    Api.Data.Response.DataPoint:
      type: object
      required:
        - data
      properties:
        data:
          anyOf:
            - type: string
            - type: number
            - type: integer
              format: int32
        name:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````